<?php

/*
RBookmarks
Copyright (C) 2001-2002  Ragnar Ouchterlony

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

$time = getmicrotime();

function getmicrotime()
{ 
  list($usec, $sec) = explode(" ",microtime()); 
  return ((float)$usec + (float)$sec); 
} 

function render_page_start( $title )
{

  ob_start("ob_gzhandler");

  echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
  echo "<html>\n";

  echo "<head>\n";
  echo " <meta http-equiv=\"Content-Type\" ".
    "content=\"text/html;charset=iso-8859-1\">\n";
  echo " <title>".$title."</title>\n";
  echo " <link rel=\"stylesheet\" type=\"text/css\" href=\"bookmarks.css\">\n";
  echo "</head>\n";
  echo "<body>\n";
  echo " <table width=\"100%\" summary=\"Bokmrkessidans huvudtabell\">\n";
  echo "  <tr><td colspan=\"2\" class=\"topbottom\">".$title."</td></tr>\n";
}

function render_page_end()
{
  global $ps,$hostbase,$time;

  if( !$ps->options->static )
    {
      echo "  <tr>\n";
      echo "   <td colspan=\"2\" class=\"linkcolumn\" valign=\"top\">\n";
      echo "    <table width=\"100%\" cellspacing=\"0\" summary=\"Lnkar till olika administrativa funktioner\">\n";
      echo "     <tr><td colspan=\"6\" class=\"header\">".
        "Administration</td></tr>\n";

      echo "     <tr>\n";
      echo "      <td width=\"25%\" class=\"toption\"><a href=\"$hostbase/\" class=\"aoption\">Huvudsidan</a></td>\n";
      echo "      <td width=\"25%\" class=\"toption\"><a href=\"search.php\" class=\"aoption\">Sk lnkar</a></td>\n";
      echo "      <td width=\"25%\" class=\"toption\"><a href=\"addcategory.php\" class=\"aoption\">Addera kategori</a></td>\n";
      echo "      <td width=\"25%\" class=\"toption\"><a href=\"addlink.php\" class=\"aoption\">Addera lnk</a></td>\n";

      echo "     </tr>\n";
      echo "    </table>\n";
      echo "   </td>\n";
      echo "  </tr>\n";
    }

  echo "  <tr><td colspan=\"2\" class=\"topbottom\">\n".
    "   PHP- och HTML-kod r skriven av Ragnar Ouchterlony &copy;&nbsp;2001-2002\n".
    "  </td></tr>\n";
  echo "  <tr><td colspan=\"2\" class=\"timemeasured\">\n".
    sprintf( "   Sidan genererades p %0.5f&nbsp;s\n", (getmicrotime() - $time) );
    "  </td></tr>\n";
  echo " </table>\n";
  echo "</body>\n";
  echo "</html>\n";

  ob_end_flush();
}
