<?php

/*
RBookmarks
Copyright (C) 2001-2002  Ragnar Ouchterlony

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* The default category to view */
/* Should be changed into a more flexible way of defining, */
/* so that it is easy to change the default. */
/* Also should be possible with default filters etc. */
$default_category = 2;

/* Title of the bookmarks section */
$bookmark_title = "Bokmrken";

/* Number of links per row */
$links_per_row = 4;

/* Whether not use a fix number of links per row. */
$variable_links_per_row = true;

/* Set the maximum number of links per row to use. */
/* Set to a high number (such as 10000) if you do not want a limit. */
/* Only interesting if $variable_links_per_row is true. */
$max_links_per_row = 6;

/* The number of characters should be counted as a row in the */
/* calculation on how many links per row there shuld be. */
/* Only interesting if $variable_links_per_row is true. */
$size_of_row = 135;

/* Size of categories in addlink */
$addlink_category_size = 20;

/* Define to 1 to include subcategories in links by default. */
/* To turn off by default, define to 0 */
$include_subcategories = 1;

/* Print some dots before subcategories in the category list. */
/* May be useful for text-based browsers such as 'w3m'. */
/* This is the number of dots per subcategory. To turn off set to 0. */
/* Use 'dots=n' at the url to force n dots per subcategory. */
$dot_subcategories = 0;

/* Define to 1 to have the categories collapsed by default */
/* Define to 0 to have all categories visible by default */
$collapsed_categories = 1;

/* Define to 1 to display a link for changing the specified link by default. */
/* Define to 0 to turn that off. */
$display_chaneglink = 1;

/* Define to 1 to use the filter functionalities by default. */
/* Turn off filters define to 0. */
$use_filter_functionality = 1;

/* Define to 1 if you want that the state of the bookmarkpage should always be */
/* remembered by default. */
$always_remember_state = 0;

/* The name to use on cookies. */
$cookiename = "RBookmarksState";

/* Default cookie expiration time. (in seconds) */
$default_cookie_expiration = 7 * 24 * 3600;

?>
