-- RBookmarks
-- Copyright (C) 2001-2002  Ragnar Ouchterlony

-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software Foundation,
-- Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-- MySQL dump 8.21
--
-- Host: localhost    Database: bokmrken
---------------------------------------------------------
-- Server version	3.23.49-log

--
-- Table structure for table 'category'
--

CREATE TABLE category (
  id int(10) unsigned NOT NULL auto_increment,
  name text NOT NULL,
  parent int(10) unsigned default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Table structure for table 'link'
--

CREATE TABLE link (
  id int(10) unsigned NOT NULL auto_increment,
  url text NOT NULL,
  description text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Table structure for table 'link_category'
--

CREATE TABLE link_category (
  id int(10) unsigned NOT NULL auto_increment,
  lc_link int(10) unsigned NOT NULL default '0',
  lc_category int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;
