<?php

/*
RBookmarks
Copyright (C) 2001-2002  Ragnar Ouchterlony

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

require( "include/config.php" );
require( "include/mysql.php" );
require( "include/user_config.php" );
require( "include/category.php" );
require( "include/render_page.php" );
require( "include/page_state.php" );

function error( $error )
{
   $uri = "error.php?error=" . urlencode($error);

   $mysql_error = mysql_error();

   if( !empty($mysql_error) )
   {
      $uri .= "&mysqlerror=" . urlencode(mysql_error());
   }

   jump_to( $uri );
}

function jump_to( $uri, $absolute=false )
{
   global $hostbase;

   if( $absolute )
      header( "Location: " . $uri );
   else
      header( "Location: " . $hostbase . '/' . $uri );

   exit;
}

function change_to_filename( $str )
{
  $new_str = str_replace( array("",  "",  "",  "",  "",  "",  " ", ":"),
                          array("aa", "ae", "oe", "Aa", "Ae", "Oe", "_", "_"),
                          $str ) . ".html";
  return $new_str;
}

?>
