#!/bin/sh

MAKE_SCRIPT_FILE=scripts/make_static_script.php
SCRIPT_FILE=scripts/dump_static.sh
RESULTDIR=static
TARBALL=static.tar.bz2

php -q -C ${MAKE_SCRIPT_FILE} > ${SCRIPT_FILE}
chmod 0777 ${SCRIPT_FILE}
rm -rf ${RESULTDIR}
mkdir ${RESULTDIR}
cp bookmarks.css ${RESULTDIR}/
cd ${RESULTDIR} && ../${SCRIPT_FILE}
cd ..
tar -cjf ${TARBALL} ${RESULTDIR}
rm -rf ${SCRIPT_FILE} ${RESULTDIR}
